Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
apache-2.0.54-r31 & php-4.4.0-r3
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Russian
View previous topic :: View next topic  
Author Message
GreenDragon
Guru
Guru


Joined: 31 Jul 2003
Posts: 319

PostPosted: Wed Sep 21, 2005 4:46 pm    Post subject: apache-2.0.54-r31 & php-4.4.0-r3 Reply with quote

Кому либо удалось установить mod_php-4.4.0-r3?
У меня вываливается с ошибкой:
Code:

...
checking for fopencookie... yes
configure: error: can not run test program while cross compiling

!!! ERROR: dev-php/mod_php-4.4.0-r3 failed.
!!! Function econf, Line 496, Exitcode 0
Back to top
View user's profile Send private message
viy
Veteran
Veteran


Joined: 03 Jul 2004
Posts: 1580
Location: Riga, Latvia

PostPosted: Wed Sep 21, 2005 5:29 pm    Post subject: Reply with quote

Вы мне лучше объясните какого черта версия в сабже вдруг стала отдельным слотом?!
Что за бред?
Back to top
View user's profile Send private message
GreenDragon
Guru
Guru


Joined: 31 Jul 2003
Posts: 319

PostPosted: Thu Sep 22, 2005 4:44 am    Post subject: Reply with quote

viy wrote:
Вы мне лучше объясните какого черта версия в сабже вдруг стала отдельным слотом?!
Что за бред?

Это уже скорее из разряда философии, а философы, увы, часто бредом занимаются :)
Для меня это такая же загадка :(
Back to top
View user's profile Send private message
ManJak
Guru
Guru


Joined: 18 Dec 2004
Posts: 561
Location: St. Petersburg, Russia

PostPosted: Thu Sep 22, 2005 6:34 pm    Post subject: Reply with quote

Сносить придется, попробовал замаскировать, но....

[blocks B ] >=net-www/apache-2.0.54-r30 (is blocking dev-php/mod_php-4.4.0)

=> снгосить и ставить слот. :(

кому в багзилу?
(я недавно ходил :wink: )
Back to top
View user's profile Send private message
ManJak
Guru
Guru


Joined: 18 Dec 2004
Posts: 561
Location: St. Petersburg, Russia

PostPosted: Thu Sep 22, 2005 6:35 pm    Post subject: Reply with quote

Кстати, кто вынул из масок: =sys-devel/gcc-3.3.6
нормально работает?
Back to top
View user's profile Send private message
viy
Veteran
Veteran


Joined: 03 Jul 2004
Posts: 1580
Location: Riga, Latvia

PostPosted: Thu Sep 22, 2005 6:39 pm    Post subject: Reply with quote

Я грохнул dev-php/php и dev-php/mod_php, оставил только dev-lang/php (идет вместе с модулем для apache2).
Back to top
View user's profile Send private message
ManJak
Guru
Guru


Joined: 18 Dec 2004
Posts: 561
Location: St. Petersburg, Russia

PostPosted: Sun Sep 25, 2005 6:29 am    Post subject: Reply with quote

Quote:
Я грохнул dev-php/php и dev-php/mod_php, оставил только dev-lang/php (идет вместе с модулем для apache2).


А нафига?
Модульность, более рулит (ИМХО).
Я понимаю, что файл тот-же, но думаю, что девелоперы Генту и сделали ставку на нее, чтоб не думать, что там можно притянуть, хотя, с другой стороны USE флагов, вроде тоже хватало.

В общем, Икс-Три, зачем это надо, может потом будет неанонсированный, пока, от ПХП перекрой дистра на кусочки, который известен к.л. из посвященных (АКА UnixWay =)
Back to top
View user's profile Send private message
ManJak
Guru
Guru


Joined: 18 Dec 2004
Posts: 561
Location: St. Petersburg, Russia

PostPosted: Sun Sep 25, 2005 8:14 am    Post subject: Reply with quote

Кстати, они теперь предупреждают о слотах:

Code:
>>> md5 src_uri ;-) php-4.3.6-includepath.diff
>>> md5 src_uri ;-) php-pcrelib-new-secpatch.tar.bz2
>>> Unpacking source...
 * Due to some previous bloopers with PHP and slotting, you may have
 * multiple instances of mod_php installed. Please look at the autoclean
 * output at the end of the emerge and unmerge all but relevant
 * instances.
 * Apache2 only detected
 * If you have both freetds and mssql in your USE flags, parts of PHP
 * may not behave correctly, or may give strange warnings. You have
 * been warned! It's recommended that you pick ONE of them. For sybase
 * support, chose 'freetds'. For mssql support choose 'mssql'.
>>> Unpacking php-4.4.0.tar.bz2 to /var/tmp/portage/mod_php-4.4.0-r3/work
Back to top
View user's profile Send private message
Balancer
Guru
Guru


Joined: 04 Jun 2004
Posts: 465

PostPosted: Tue Oct 04, 2005 1:31 pm    Post subject: Reply with quote

viy wrote:
Вы мне лучше объясните какого черта версия в сабже вдруг стала отдельным слотом?!
Что за бред?


Чтобы можно было одновременно использовать mod_php-5 и mod_php-4. Их никто не запрещает в теории юзать вместе. Вот, видимо, и практику подгоняют к этому. Так как на виртуаьном сервере может оказаться так, что некоторым php4 уже мало, а у некоторых php5 ещё не работает.
Back to top
View user's profile Send private message
Laitr Keiows
Moderator
Moderator


Joined: 04 Jul 2005
Posts: 891
Location: Kobe, Japan

PostPosted: Tue Oct 04, 2005 1:46 pm    Post subject: Re: apache-2.0.54-r31 & php-4.4.0-r3 Reply with quote

GreenDragon wrote:
Кому либо удалось установить mod_php-4.4.0-r3?

У меня все это встало без проблем.
Back to top
View user's profile Send private message
Balancer
Guru
Guru


Joined: 04 Jun 2004
Posts: 465

PostPosted: Thu Oct 06, 2005 3:28 pm    Post subject: Reply with quote

У меня все эти игры кончились просто. Мне нужен eaccelerator, а он хочет php4 из dev-php4. Снёс все виды php, что у меня были установлены, поставил eaccelerator, а он уже перед собой установил непротиворечивую подборку php и mod_php :D
Back to top
View user's profile Send private message
ManJak
Guru
Guru


Joined: 18 Dec 2004
Posts: 561
Location: St. Petersburg, Russia

PostPosted: Thu Oct 06, 2005 6:11 pm    Post subject: Reply with quote

Balancer wrote:
У меня все эти игры кончились просто. Мне нужен eaccelerator, а он хочет php4 из dev-php4. Снёс все виды php, что у меня были установлены, поставил eaccelerator, а он уже перед собой установил непротиворечивую подборку php и mod_php :D


:D
Неплохо!
Back to top
View user's profile Send private message
dish
Apprentice
Apprentice


Joined: 19 Dec 2004
Posts: 266
Location: Moscow, Russia

PostPosted: Tue Nov 01, 2005 12:06 pm    Post subject: Re: apache-2.0.54-r31 & php-4.4.0-r3 Reply with quote

GreenDragon wrote:
Кому либо удалось установить mod_php-4.4.0-r3?
У меня вываливается с ошибкой:
Code:

...
checking for fopencookie... yes
configure: error: can not run test program while cross compiling

!!! ERROR: dev-php/mod_php-4.4.0-r3 failed.
!!! Function econf, Line 496, Exitcode 0


У меня такая же точно проблема :(
Кто-нибудь все-таки решил ее?
_________________
Contrary to popular belief, UNIX is user-friendly. It just happens to be very selective about who it decides to make friends with. A. Haiut.
Back to top
View user's profile Send private message
IFL
Tux's lil' helper
Tux's lil' helper


Joined: 12 Jun 2005
Posts: 117

PostPosted: Tue Nov 01, 2005 12:40 pm    Post subject: Re: apache-2.0.54-r31 & php-4.4.0-r3 Reply with quote

dish wrote:

У меня такая же точно проблема :(
Кто-нибудь все-таки решил ее?

пробуйте dev-lang/php
если останутся проблемы -- посмотрим
Back to top
View user's profile Send private message
dish
Apprentice
Apprentice


Joined: 19 Dec 2004
Posts: 266
Location: Moscow, Russia

PostPosted: Tue Nov 01, 2005 3:30 pm    Post subject: Reply with quote

Пересборка libwww решила проблему.
_________________
Contrary to popular belief, UNIX is user-friendly. It just happens to be very selective about who it decides to make friends with. A. Haiut.
Back to top
View user's profile Send private message
KUV
Tux's lil' helper
Tux's lil' helper


Joined: 18 Mar 2005
Posts: 128

PostPosted: Wed Nov 02, 2005 9:11 am    Post subject: Reply with quote

ManJak wrote:
Кстати, кто вынул из масок: =sys-devel/gcc-3.3.6
нормально работает?

Работает хорошо, уже кучу всего пособирал с ним в т.ч. ядро.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Russian All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum